﻿//------------------------------------------------------------------------------
// <auto-generated>
//     Este código se generó a partir de una plantilla.
//
//     Los cambios manuales en este archivo pueden causar un comportamiento inesperado de la aplicación.
//     Los cambios manuales en este archivo se sobrescribirán si se regenera el código.
// </auto-generated>
//------------------------------------------------------------------------------

namespace SkyNet
{
    using System;
    using System.Data.Entity;
    using System.Data.Entity.Infrastructure;
    using System.Data.Entity.Core.Objects;
    using System.Linq;
    
    public partial class SkyNetEntity : DbContext
    {
        public SkyNetEntity()
            : base("name=SkyNetEntity")
        {
        }
    
        protected override void OnModelCreating(DbModelBuilder modelBuilder)
        {
            throw new UnintentionalCodeFirstException();
        }
    
        public virtual DbSet<career> careers { get; set; }
        public virtual DbSet<careerCourse> careerCourses { get; set; }
        public virtual DbSet<course> courses { get; set; }
        public virtual DbSet<credentialAdministrator> credentialAdministrators { get; set; }
        public virtual DbSet<faculty> faculties { get; set; }
        public virtual DbSet<groupsOffered> groupsOffereds { get; set; }
        public virtual DbSet<historyNote> historyNotes { get; set; }
        public virtual DbSet<student> students { get; set; }
        public virtual DbSet<studentCourseRegister> studentCourseRegisters { get; set; }
    
        public virtual ObjectResult<sp_loguear_Result> sp_loguear(string username, string password)
        {
            var usernameParameter = username != null ?
                new ObjectParameter("username", username) :
                new ObjectParameter("username", typeof(string));
    
            var passwordParameter = password != null ?
                new ObjectParameter("password", password) :
                new ObjectParameter("password", typeof(string));
    
            return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction<sp_loguear_Result>("sp_loguear", usernameParameter, passwordParameter);
        }
    }
}
